Package com.avaya.clientservices.agent

## Interface AgentServiceListener

-     public interface AgentServiceListener

  Represents an interface that can be used to retrieve status updates from an AgentService object. One or more listeners can be registered with an AgentService object to retrieve status updates.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onAgentAutoLoginFailed​(AgentService agentService, AgentException error)` | Called to report that automatic agent login failed.
    `void` | `onAgentAutoLoginSucceeded​(AgentService agentService)` | Called to report that automatic agent login was successful.
    `void` | `onAgentAutoLogoutFailed​(AgentService agentService, AgentException error)` | Called to report that automatic agent logout failed.
    `void` | `onAgentAutoLogoutSucceeded​(AgentService agentService)` | Called to report that automatic agent logout was successful.
    `void` | `onAgentCapabilitiesChanged​(AgentService agentService)` | Occurs when agent capabilities is changed.
    `void` | `onAgentFeatureListChanged​(AgentService agentService)` | Called to report the agent feature list is changed.
    `void` | `onAgentInformationUpdated​(AgentService agentService, AgentInformation agentInformation)` | Called to report configuration updates for the contact center agent.
    `void` | `onAgentLoggedIn​(AgentService agentService)` | Called to report the agent login attempt is successful.
    `void` | `onAgentLoggedOut​(AgentService agentService)` | Called to report the agent logout attempt is successful.
    `void` | `onAgentServiceAvailable​(AgentService agentService)` | Called to report the agent service becomes available.
    `void` | `onAgentServiceUnavailable​(AgentService agentService)` | Called to report the agent service becomes unavailable.
    `void` | `onAgentStateChanged​(AgentService agentService, AgentState agentState)` | Called to report agent state changes.
    `void` | `onAgentWorkModeChanged​(AgentService agentService, AgentWorkMode agentWorkMode, int reasonCode)` | Called to report the work mode changes for the contact center agent.
    `void` | `onQueueStatisticsListChanged​(AgentService agentService, java.util.List<com.avaya.clientservices.agent.QueueStatisticsImpl> queueStatisticsList)` | Called when the entire queue statistics list is changed.

- - ### Method Detail

    - #### onAgentServiceAvailable

          void onAgentServiceAvailable​(AgentService agentService)

      Called to report the agent service becomes available.
      Parameters:
        `agentService` - An agent service that the callback is associated with.

    - #### onAgentServiceUnavailable

          void onAgentServiceUnavailable​(AgentService agentService)

      Called to report the agent service becomes unavailable.
      Parameters:
        `agentService` - An agent service that the callback is associated with.

    - #### onAgentCapabilitiesChanged

          void onAgentCapabilitiesChanged​(AgentService agentService)

      Occurs when agent capabilities is changed. The application can query the Agent Service object to find out about the capability that changed. The capabilities changed notification is tied to the features supported by the call center server.
      Parameters:
        `agentService` - An agent service that the callback is associated with.

    - #### onAgentLoggedIn

          void onAgentLoggedIn​(AgentService agentService)

      Called to report the agent login attempt is successful.
      Parameters:
        `agentService` - An agent service that the callback is associated with.

    - #### onAgentLoggedOut

          void onAgentLoggedOut​(AgentService agentService)

      Called to report the agent logout attempt is successful.
      Parameters:
        `agentService` - An agent service that the callback is associated with.

    - #### onAgentAutoLoginSucceeded

          void onAgentAutoLoginSucceeded​(AgentService agentService)

      Called to report that automatic agent login was successful.
      Parameters:
        `agentService` - An agent service that the callback is associated with.

    - #### onAgentAutoLoginFailed

          void onAgentAutoLoginFailed​(AgentService agentService,
                                      AgentException error)

      Called to report that automatic agent login failed.
      Parameters:
        `agentService` - An agent service that the callback is associated with.
        `error` - Information about the failure.

    - #### onAgentAutoLogoutSucceeded

          void onAgentAutoLogoutSucceeded​(AgentService agentService)

      Called to report that automatic agent logout was successful.
      Parameters:
        `agentService` - An agent service that the callback is associated with.

    - #### onAgentAutoLogoutFailed

          void onAgentAutoLogoutFailed​(AgentService agentService,
                                       AgentException error)

      Called to report that automatic agent logout failed.
      Parameters:
        `agentService` - An agent service that the callback is associated with.
        `error` - Information about the failure.

    - #### onAgentInformationUpdated

          void onAgentInformationUpdated​(AgentService agentService,
                                         AgentInformation agentInformation)

      Called to report configuration updates for the contact center agent.
      Parameters:
        `agentService` - An agent service that the callback is associated with.
        `agentInformation` - Updated configuration for an agent.

    - #### onAgentWorkModeChanged

          void onAgentWorkModeChanged​(AgentService agentService,
                                      AgentWorkMode agentWorkMode,
                                      int reasonCode)

      Called to report the work mode changes for the contact center agent.
      Parameters:
        `agentService` - The agent service that the callback is associated with.
        `agentWorkMode` - Changed agent work mode with reason code.
        `reasonCode` - The reason code used for changing agent work mode.

    - #### onAgentStateChanged

          void onAgentStateChanged​(AgentService agentService,
                                   AgentState agentState)

      Called to report agent state changes.
      Parameters:
        `agentService` - The agent service that the callback is associated with.
        `agentState` - Changed agent state.

    - #### onAgentFeatureListChanged

          void onAgentFeatureListChanged​(AgentService agentService)

      Called to report the agent feature list is changed.
      Parameters:
        `agentService` - The agent service that the callback is associated with.

    - #### onQueueStatisticsListChanged

          void onQueueStatisticsListChanged​(AgentService agentService,
                                            java.util.List<com.avaya.clientservices.agent.QueueStatisticsImpl> queueStatisticsList)

      Called when the entire queue statistics list is changed.
      Parameters:
        `agentService` - An agent service that the callback is associated with.
        `queueStatisticsList` - New queue statistics list.